/*
 * \file RegisterAccessorBase.cpp
 *
 *  \date Jun 3, 2013
 *  \author Alexandre Tuleu
 */

#include "RegisterAccessorBase.h"

#include "Device.h"


namespace sbcp {

RegisterReaderBase::RegisterReaderBase(Device & dev,
                                       Register::Address adr ,
                                       unsigned int flg)
: Register(dev,adr,flg){
}

RegisterReaderBase::~RegisterReaderBase(){}

RegisterWriterBase::RegisterWriterBase(Device & dev,
                                       Register::Address adr ,
                                       unsigned int flg)
	: Register(dev,adr,flg){
}

RegisterWriterBase::~RegisterWriterBase(){}



} //namespace sbcp
